openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SWF_CREATE_WAIT:
    post:
      tags:
      - SWF1
      operationId: /rfc/SWF_CREATE_WAIT
      requestBody:
        content:
          application/json:
            schema:
              properties:
                STEP_DESCRIPTION:
                  type: object
                  properties:
                    DESCRIPT:
                      type: string
                      maxLength: 80
                      description: Name of Step or Outcome
                    DESCR_SUCC:
                      type: string
                      maxLength: 80
                      description: Name of Step or Outcome
                    EVT_TYPE:
                      type: string
                      maxLength: 32
                      description: Event for object type
                    EVT_OTYPE:
                      type: string
                      maxLength: 32
                      description: Type of Objects in Persistent Object References
                    EVT_CATID:
                      type: string
                      maxLength: 2
                      description: 'Object Type Category  enumValues: BO=BOR Object Type,BC=Business Class,XC=XML Object Type,CL=ABAP Class'
                      enum:
                      - BO
                      - BC
                      - XC
                      - CL
                    EVT_CONTEL:
                      type: string
                      maxLength: 32
                      description: Element
                STEP_NODE_ID:
                  type: integer
                  format: int64
                STEP_PROPERTIES:
                  type: array
                  items:
                    type: object
                    properties:
                      NAME:
                        type: string
                        description: 'Attribute: Name'
                      VALUE:
                        type: string
                        description: 'Attributes: Value'
                      XVALUE:
                        type: string
                        format: byte
                        description: 'Attributes: Value'
              required:
              - STEP_DESCRIPTION
              - STEP_NODE_ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  NEW_BLOCK_ID:
                    type: integer
                    format: int64
                    description: Node Number
                  NEW_STEP_NODE_ID:
                    type: integer
                    format: int64
                    description: Table of Name Value Pairs
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
